import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusCouponConfig } from '../models/index' 

import {BusCouponInfoMU} from './BusCouponInfo' 


/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-19 17:45
 */
interface BusCouponConfigCU extends ConditionUtil<BusCouponConfigCU>{
    ID:FieldUtil<BusCouponConfigCU>;
    COUPON_NAME:FieldUtil<BusCouponConfigCU>;
    COUPON_CATEGORY:FieldUtil<BusCouponConfigCU>;
    DISCOUNT:FieldUtil<BusCouponConfigCU>;
    MAX_DISCOUNT_AMOUNT:FieldUtil<BusCouponConfigCU>;
    COUPON_TOTAL_COUNT:FieldUtil<BusCouponConfigCU>;
    COUPON_MONTH_LIMIT:FieldUtil<BusCouponConfigCU>;
    COUPON_COUNT:FieldUtil<BusCouponConfigCU>;
    DESCRIPTION:FieldUtil<BusCouponConfigCU>;
    BEGIN_DATE:FieldUtil<BusCouponConfigCU>;
    END_DATE:FieldUtil<BusCouponConfigCU>;
    BEGIN_GET_DATE:FieldUtil<BusCouponConfigCU>;
    END_GET_DATE:FieldUtil<BusCouponConfigCU>;
    STATUS:FieldUtil<BusCouponConfigCU>;
    SLOGAN:FieldUtil<BusCouponConfigCU>;
    EXPENSE_SUBJECT:FieldUtil<BusCouponConfigCU>;
    GOOD_TAGS_PREFIX:FieldUtil<BusCouponConfigCU>;
    MONEY_FIELD:FieldUtil<BusCouponConfigCU>;
    MIN_PAY_AMOUNT:FieldUtil<BusCouponConfigCU>;
    ENABLE_AMOUNT:FieldUtil<BusCouponConfigCU>;
    PC_CONFIG_ID:FieldUtil<BusCouponConfigCU>;
    RULE_ID:FieldUtil<BusCouponConfigCU>;
    PAY_METHOD_RULE_ID:FieldUtil<BusCouponConfigCU>;
    SECOND_PC_CONFIG_ID:FieldUtil<BusCouponConfigCU>;
    SECOND_RULE_ID:FieldUtil<BusCouponConfigCU>;
    TYPE_CODE:FieldUtil<BusCouponConfigCU>;
    COUPON_BELONG:FieldUtil<BusCouponConfigCU>;
    COUPON_ICON:FieldUtil<BusCouponConfigCU>;
    COUPON_REMARK:FieldUtil<BusCouponConfigCU>;
    COUPON_VALID_DAYS:FieldUtil<BusCouponConfigCU>;
    USE_LIMIT:FieldUtil<BusCouponConfigCU>;
    REMARK:FieldUtil<BusCouponConfigCU>;
    OPERATOR:FieldUtil<BusCouponConfigCU>;
    CREATE_TIME:FieldUtil<BusCouponConfigCU>;
    UPDATE_TIME:FieldUtil<BusCouponConfigCU>;
    DISCOUNTS_TYPE:FieldUtil<BusCouponConfigCU>;
}

class BusCouponConfigCUImpl extends ConditionUtilImpl<BusCouponConfigCUImpl> implements BusCouponConfigCU{ 
    newInstance(): BusCouponConfigCUImpl {
        return new BusCouponConfigCUImpl();
    } 
    get ID(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('ID','id','', this);
    }
    get COUPON_NAME(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_NAME','couponName','', this);
    }
    get COUPON_CATEGORY(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_CATEGORY','couponCategory','00:折扣券 01:定额减免券 03 满减券  04  每满减券 05  阶梯满减券', this);
    }
    get DISCOUNT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('DISCOUNT','discount','', this);
    }
    get MAX_DISCOUNT_AMOUNT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('MAX_DISCOUNT_AMOUNT','maxDiscountAmount','最高折扣金额', this);
    }
    get COUPON_TOTAL_COUNT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_TOTAL_COUNT','couponTotalCount','抵扣券总张数', this);
    }
    get COUPON_MONTH_LIMIT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_MONTH_LIMIT','couponMonthLimit','抵用券每月限制', this);
    }
    get COUPON_COUNT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_COUNT','couponCount','', this);
    }
    get DESCRIPTION(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('DESCRIPTION','description','', this);
    }
    get BEGIN_DATE(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('BEGIN_DATE','beginDate','', this);
    }
    get END_DATE(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('END_DATE','endDate','', this);
    }
    get BEGIN_GET_DATE(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('BEGIN_GET_DATE','beginGetDate','', this);
    }
    get END_GET_DATE(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('END_GET_DATE','endGetDate','', this);
    }
    get STATUS(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('STATUS','status','', this);
    }
    get SLOGAN(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('SLOGAN','slogan','', this);
    }
    get EXPENSE_SUBJECT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('EXPENSE_SUBJECT','expenseSubject','费用主体', this);
    }
    get GOOD_TAGS_PREFIX(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('GOOD_TAGS_PREFIX','goodTagsPrefix','商品标识前缀', this);
    }
    get MONEY_FIELD(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('MONEY_FIELD','moneyField','0 总金额、1 现金金额', this);
    }
    get MIN_PAY_AMOUNT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('MIN_PAY_AMOUNT','minPayAmount','最低支付金额', this);
    }
    get ENABLE_AMOUNT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('ENABLE_AMOUNT','enableAmount','优惠启用金额', this);
    }
    get PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('PC_CONFIG_ID','pcConfigId','统一支付ID', this);
    }
    get RULE_ID(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('RULE_ID','ruleId','统一支付规则ID', this);
    }
    get PAY_METHOD_RULE_ID(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('PAY_METHOD_RULE_ID','payMethodRuleId','支付方式规则ID', this);
    }
    get SECOND_PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('SECOND_PC_CONFIG_ID','secondPcConfigId','备用统一支付ID', this);
    }
    get SECOND_RULE_ID(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('SECOND_RULE_ID','secondRuleId','备用统一支付规则ID', this);
    }
    get TYPE_CODE(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('TYPE_CODE','typeCode','抵用券类型 默认00，10：银联  20：厦门民生', this);
    }
    get COUPON_BELONG(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_BELONG','couponBelong','抵用券归属', this);
    }
    get COUPON_ICON(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_ICON','couponIcon','抵用券图标', this);
    }
    get COUPON_REMARK(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_REMARK','couponRemark','抵用券使用说明', this);
    }
    get COUPON_VALID_DAYS(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('COUPON_VALID_DAYS','couponValidDays','抵用券有效天数', this);
    }
    get USE_LIMIT(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('USE_LIMIT','useLimit','使用限制，00：没有限制， 01：仅限后付费使用', this);
    }
    get REMARK(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('REMARK','remark','备注', this);
    }
    get OPERATOR(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('OPERATOR','operator','操作人', this);
    }
    get CREATE_TIME(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
    get DISCOUNTS_TYPE(): FieldUtil<BusCouponConfigCU>{  
        return new FieldUtil('DISCOUNTS_TYPE','discountsType','01 支付时优惠/02 支付后返现', this);
    }
}

@Singleton 
class BusCouponConfigMU extends TableUtilImpl<BusCouponConfigCU,BusCouponConfig>{ 
    tableName  = 'bus_coupon_config';
    tableFields  = ['ID','COUPON_NAME','COUPON_CATEGORY','DISCOUNT','MAX_DISCOUNT_AMOUNT','COUPON_TOTAL_COUNT','COUPON_MONTH_LIMIT','COUPON_COUNT','DESCRIPTION','BEGIN_DATE','END_DATE','BEGIN_GET_DATE','END_GET_DATE','STATUS','SLOGAN','EXPENSE_SUBJECT','GOOD_TAGS_PREFIX','MONEY_FIELD','MIN_PAY_AMOUNT','ENABLE_AMOUNT','PC_CONFIG_ID','RULE_ID','PAY_METHOD_RULE_ID','SECOND_PC_CONFIG_ID','SECOND_RULE_ID','TYPE_CODE','COUPON_BELONG','COUPON_ICON','COUPON_REMARK','COUPON_VALID_DAYS','USE_LIMIT','REMARK','OPERATOR','CREATE_TIME','UPDATE_TIME','DISCOUNTS_TYPE'];
    modelFields  = ['id','couponName','couponCategory','discount','maxDiscountAmount','couponTotalCount','couponMonthLimit','couponCount','description','beginDate','endDate','beginGetDate','endGetDate','status','slogan','expenseSubject','goodTagsPrefix','moneyField','minPayAmount','enableAmount','pcConfigId','ruleId','payMethodRuleId','secondPcConfigId','secondRuleId','typeCode','couponBelong','couponIcon','couponRemark','couponValidDays','useLimit','remark','operator','createTime','updateTime','discountsType'];
    modelIdFields  = ['id'];
    tableIdFields  = ['ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [{
            name: 'busCouponInfo',
            parentIdFields: [BusCouponConfigMU.ID],
            foreignKeyFields: [BusCouponInfoMU.COUPON_CONFIG_ID],
            getTableUtil: ()=>{
                return Container.get(BusCouponInfoMU);
            }
        } as SubTable

];

    createConditionUtil(): BusCouponConfigCU {
        return new BusCouponConfigCUImpl();
    }   

    static get ID(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('ID','id','', new BusCouponConfigCUImpl());
    }
    static get COUPON_NAME(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_NAME','couponName','', new BusCouponConfigCUImpl());
    }
    static get COUPON_CATEGORY(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_CATEGORY','couponCategory','00:折扣券 01:定额减免券 03 满减券  04  每满减券 05  阶梯满减券', new BusCouponConfigCUImpl());
    }
    static get DISCOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('DISCOUNT','discount','', new BusCouponConfigCUImpl());
    }
    static get MAX_DISCOUNT_AMOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('MAX_DISCOUNT_AMOUNT','maxDiscountAmount','最高折扣金额', new BusCouponConfigCUImpl());
    }
    static get COUPON_TOTAL_COUNT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_TOTAL_COUNT','couponTotalCount','抵扣券总张数', new BusCouponConfigCUImpl());
    }
    static get COUPON_MONTH_LIMIT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_MONTH_LIMIT','couponMonthLimit','抵用券每月限制', new BusCouponConfigCUImpl());
    }
    static get COUPON_COUNT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_COUNT','couponCount','', new BusCouponConfigCUImpl());
    }
    static get DESCRIPTION(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('DESCRIPTION','description','', new BusCouponConfigCUImpl());
    }
    static get BEGIN_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('BEGIN_DATE','beginDate','', new BusCouponConfigCUImpl());
    }
    static get END_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('END_DATE','endDate','', new BusCouponConfigCUImpl());
    }
    static get BEGIN_GET_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('BEGIN_GET_DATE','beginGetDate','', new BusCouponConfigCUImpl());
    }
    static get END_GET_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('END_GET_DATE','endGetDate','', new BusCouponConfigCUImpl());
    }
    static get STATUS(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('STATUS','status','', new BusCouponConfigCUImpl());
    }
    static get SLOGAN(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('SLOGAN','slogan','', new BusCouponConfigCUImpl());
    }
    static get EXPENSE_SUBJECT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('EXPENSE_SUBJECT','expenseSubject','费用主体', new BusCouponConfigCUImpl());
    }
    static get GOOD_TAGS_PREFIX(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('GOOD_TAGS_PREFIX','goodTagsPrefix','商品标识前缀', new BusCouponConfigCUImpl());
    }
    static get MONEY_FIELD(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('MONEY_FIELD','moneyField','0 总金额、1 现金金额', new BusCouponConfigCUImpl());
    }
    static get MIN_PAY_AMOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('MIN_PAY_AMOUNT','minPayAmount','最低支付金额', new BusCouponConfigCUImpl());
    }
    static get ENABLE_AMOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('ENABLE_AMOUNT','enableAmount','优惠启用金额', new BusCouponConfigCUImpl());
    }
    static get PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('PC_CONFIG_ID','pcConfigId','统一支付ID', new BusCouponConfigCUImpl());
    }
    static get RULE_ID(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('RULE_ID','ruleId','统一支付规则ID', new BusCouponConfigCUImpl());
    }
    static get PAY_METHOD_RULE_ID(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('PAY_METHOD_RULE_ID','payMethodRuleId','支付方式规则ID', new BusCouponConfigCUImpl());
    }
    static get SECOND_PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('SECOND_PC_CONFIG_ID','secondPcConfigId','备用统一支付ID', new BusCouponConfigCUImpl());
    }
    static get SECOND_RULE_ID(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('SECOND_RULE_ID','secondRuleId','备用统一支付规则ID', new BusCouponConfigCUImpl());
    }
    static get TYPE_CODE(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('TYPE_CODE','typeCode','抵用券类型 默认00，10：银联  20：厦门民生', new BusCouponConfigCUImpl());
    }
    static get COUPON_BELONG(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_BELONG','couponBelong','抵用券归属', new BusCouponConfigCUImpl());
    }
    static get COUPON_ICON(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_ICON','couponIcon','抵用券图标', new BusCouponConfigCUImpl());
    }
    static get COUPON_REMARK(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_REMARK','couponRemark','抵用券使用说明', new BusCouponConfigCUImpl());
    }
    static get COUPON_VALID_DAYS(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('COUPON_VALID_DAYS','couponValidDays','抵用券有效天数', new BusCouponConfigCUImpl());
    }
    static get USE_LIMIT(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('USE_LIMIT','useLimit','使用限制，00：没有限制， 01：仅限后付费使用', new BusCouponConfigCUImpl());
    }
    static get REMARK(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('REMARK','remark','备注', new BusCouponConfigCUImpl());
    }
    static get OPERATOR(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('OPERATOR','operator','操作人', new BusCouponConfigCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusCouponConfigCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new BusCouponConfigCUImpl());
    }
    static get DISCOUNTS_TYPE(): FieldUtil<BusCouponConfigCU>{ 
        return new FieldUtil('DISCOUNTS_TYPE','discountsType','01 支付时优惠/02 支付后返现', new BusCouponConfigCUImpl());
    }

    get ID(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.ID;
    }
    get COUPON_NAME(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_NAME;
    }
    get COUPON_CATEGORY(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_CATEGORY;
    }
    get DISCOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.DISCOUNT;
    }
    get MAX_DISCOUNT_AMOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.MAX_DISCOUNT_AMOUNT;
    }
    get COUPON_TOTAL_COUNT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_TOTAL_COUNT;
    }
    get COUPON_MONTH_LIMIT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_MONTH_LIMIT;
    }
    get COUPON_COUNT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_COUNT;
    }
    get DESCRIPTION(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.DESCRIPTION;
    }
    get BEGIN_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.BEGIN_DATE;
    }
    get END_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.END_DATE;
    }
    get BEGIN_GET_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.BEGIN_GET_DATE;
    }
    get END_GET_DATE(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.END_GET_DATE;
    }
    get STATUS(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.STATUS;
    }
    get SLOGAN(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.SLOGAN;
    }
    get EXPENSE_SUBJECT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.EXPENSE_SUBJECT;
    }
    get GOOD_TAGS_PREFIX(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.GOOD_TAGS_PREFIX;
    }
    get MONEY_FIELD(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.MONEY_FIELD;
    }
    get MIN_PAY_AMOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.MIN_PAY_AMOUNT;
    }
    get ENABLE_AMOUNT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.ENABLE_AMOUNT;
    }
    get PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.PC_CONFIG_ID;
    }
    get RULE_ID(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.RULE_ID;
    }
    get PAY_METHOD_RULE_ID(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.PAY_METHOD_RULE_ID;
    }
    get SECOND_PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.SECOND_PC_CONFIG_ID;
    }
    get SECOND_RULE_ID(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.SECOND_RULE_ID;
    }
    get TYPE_CODE(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.TYPE_CODE;
    }
    get COUPON_BELONG(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_BELONG;
    }
    get COUPON_ICON(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_ICON;
    }
    get COUPON_REMARK(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_REMARK;
    }
    get COUPON_VALID_DAYS(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.COUPON_VALID_DAYS;
    }
    get USE_LIMIT(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.USE_LIMIT;
    }
    get REMARK(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.REMARK;
    }
    get OPERATOR(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.OPERATOR;
    }
    get CREATE_TIME(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.UPDATE_TIME;
    }
    get DISCOUNTS_TYPE(): FieldUtil<BusCouponConfigCU>{ 
        return BusCouponConfigMU.DISCOUNTS_TYPE;
    }
}
export {BusCouponConfigMU, BusCouponConfigCU}
